| N  | Image Format                                                        | Supported Read Features  | Unsupported Read Features | Supported Write Features | Unsupported Write Features | Dependencies |
| -- | ------------------------------------------------------------------- | ------------------------ | ------------------------- | ------------------------ | -------------------------- | ------------ |
| 1  | [APNG](https://wikipedia.org/wiki/APNG)                             | **Grayscale:** 1-bit, 2-bit, 4-bit, 8-bit, 16-bit. **Indexed:** 1-bit, 2-bit, 4-bit, 8-bit. **RGB:** 24-bit, 48-bit. **RGBA:** 32-bit, 64-bit. <br/><br/>**Content:** Static, Animated, Meta data, ICC profiles | - | Unsupported | - | libpng+APNG patch |
| 2  | [AVIF](https://wikipedia.org/wiki/AV1#AV1_Image_File_Format_(AVIF)) | **YUV**: 8-bit, 10-bit, 12-bit <br/><br/>**Content:** Static, Animated, Meta data, ICC profiles | - | Unsupported | - | libavif |
| 3  | [BMP](https://wikipedia.org/wiki/BMP_file_format)                   | **Indexed:** 1-bit, 4-bit, 8-bit (DIB only). **RGB:** 16-bit, 24-bit, 32-bit. <br/><br/>**Compressions:** RLE4, RLE8, Uncompressed. <br/><br/>**BMP Versions:** V1 (DDB), V2, V3, V4, V5. <br/><br/>**Content:** Static, Meta data, ICC profiles | **Indexed:** 8-bit (in DDB images). <br/><br/>**Compressions:** ALPHABITFIELDS, BITFIELDS, CMYK, CMYK-RLE4, CMYK-RLE8, JPEG, PNG. | Unsupported | - | - |
| 4  | [GIF](https://wikipedia.org/wiki/GIF)                               | **Indexed:** 8-bit. <br/><br/>**Content:** Static, Animated, Meta data | - | Unsupported | - | giflib |
| 5  | [JPEG](https://wikipedia.org/wiki/JPEG)                             | **Grayscale:** 8-bit. **RGB:** 565 16-bit[\*](#star1), 24-bit. **BGR:**[\*](#star1) 24-bit. **YCbCr:** 24-bit. **RGBA:**[\*](#star1) 32-bit. **BGRA:**[\*](#star1) 32-bit. **ARGB:**[\*](#star1) 32-bit. **ABGR:**[\*](#star1) 32-bit. **CMYK:** 32-bit. **YCCK:** 32-bit. <br/><br/>**Content:** Static, Meta data, ICC profiles | - | **Grayscale:** 8-bit. **RGB:** 565 16-bit[\*](#star1), 24-bit. **BGR:**[\*](#star1) 24-bit. **YCbCr:** 24-bit. **RGBA:**[\*](#star1) 32-bit. **BGRA:**[\*](#star1) 32-bit. **ARGB:**[\*](#star1) 32-bit. **ABGR:**[\*](#star1) 32-bit. **CMYK:** 32-bit. **YCCK:** 32-bit. <br/><br/>**Content:** Static, Meta data, ICC profiles | - | libjpeg or libjpeg-turbo |
| 6  | [PNG](https://wikipedia.org/wiki/Portable_Network_Graphics)         | **Grayscale:** 1-bit, 2-bit, 4-bit, 8-bit, 16-bit. **Indexed:** 1-bit, 2-bit, 4-bit, 8-bit. **RGB:** 24-bit, 48-bit. **RGBA:** 32-bit, 64-bit. <br/><br/>**Content:** Static, Meta data, ICC profiles | - | **Grayscale:** 1-bit, 2-bit, 4-bit, 8-bit, 16-bit. **Indexed:** 1-bit, 2-bit, 4-bit, 8-bit. **RGB:** 24-bit, 48-bit. **RGBA:** 32-bit, 64-bit. <br/><br/>**Content:** Static, Meta data, ICC profiles | - | libpng |
| 7  | [TIFF](https://wikipedia.org/wiki/TIFF)                             | **Bit depth:** 1-bit, 2-bit, 4-bit, 8-bit, 16-bit, 24-bit, 32-bit, 48-bit, 64-bit. <br/><br/>**Compressions:**[\*](#star1) ADOBE-DEFLATE, CCITT-RLE, CCITT-RLEW, CCITT-T4, CCITT-T6, DCS, DEFLATE, IT-8BL, IT8-CTPAD, IT8-LW, IT8-MP, JBIG, JPEG, JPEG-2000, LERC, LZMA, LZW, NEXT, NONE, OJPEG, PACKBITS, PIXAR-FILM, PIXAR-LOG, SGI-LOG24, SGI-LOG, T43, T85, THUNDERSCAN, WEBP, ZSTD. <br/><br/>**Content:** Static, Multi-paged, Meta data, ICC profiles | - | **RGBA:** 32-bit. <br/><br/>**Compressions:**[\*](#star1) ADOBE-DEFLATE, CCITT-RLE, CCITT-RLEW, CCITT-T4, CCITT-T6, DCS, DEFLATE, IT-8BL, IT8-CTPAD, IT8-LW, IT8-MP, JBIG, JPEG, JPEG-2000, LERC, LZMA, LZW, NEXT, NONE, OJPEG, PACKBITS, PIXAR-FILM, PIXAR-LOG, SGI-LOG24, SGI-LOG, T43, T85, THUNDERSCAN, WEBP, ZSTD. <br/><br/>**Content:** Static, Multi-paged, Meta data, ICC profiles | - | libtiff |
| 8  | [WEBP](https://wikipedia.org/wiki/WebP)                             | **Bit depth:** 24-bit, 32-bit. <br/><br/>**Content:** Static, Animated, Meta data, ICC profiles | - | Unsupported | - | libwebp |

<a name="star1"></a>**\***: If supported by the underlying codec like libjpeg.
